

.coupon-section{
    @media only screen and (max-width: 1440px){
        .col-md-3{
            flex: 0 0 35%;  
            max-width: 35%;
        }
    }

    @media only screen and (max-width: 1024px){
        .col-md-3{
            flex: 0 0 50%;  
            max-width: 50%;
        }
    }

    @media only screen and (max-width: 667px){
        .col-md-3{
            flex: 0 0 100%;  
            max-width: 100%;
        }
    }
}


.coupon-box{
    background: #e8e8e8;
    padding: 15px 20px;
    .coupon-box-inner{
        background: #4b596c;
        height: 100%;
        width: 100%;
        color: #fff;
        text-align: center;
        border-radius: 15px;
        padding: 20px;

        h3{
            font-size: 22px;
            color: #fff;
            font-weight: 600;
            margin: 0px;

            @media only screen and (max-width: 1440px){
                font-size: 18px;
            }
        }

        span{
            font-size: 14px;
            color: #fff;
            font-weight: 500;
            background: #00CA00;
            padding: 2px 40px;
            position: relative;
            margin: 8px 0;
            display: inline-block;

            @media only screen and (max-width: 1440px){
                font-size: 12px;
                margin: 5px 0;
            }

            &:after{
                content: "";
                position: absolute;
                top: 0;
                right: 0;
                border-style: solid;
                border-width: 12px;
                border-color: #4b596c;
                width: 0;
                height: 0;
                border-top-color: transparent;
                border-bottom-color: transparent;
                border-left-color: transparent;
            }

            &:before{
                content: "";
                position: absolute;
                top: 0;
                left: 0;
                border-style: solid;
                border-width: 12px;
                border-color: #4b596c;
                width: 0;
                height: 0;
                border-top-color: transparent;
                border-bottom-color: transparent;
                border-left-color: transparent;
                transform: rotate(180deg);
            }
        }

        p{
            font-size: 12px;
            color: #fff;
            font-weight: 400;
            margin: 0px;
        }
    }

    .round{
        background: #fff;
        width: 25px;
        height: 25px;
        border-radius: 50%;
    }
    
    .left-top{
        position: absolute;
        top: -10px;
        left: 0;
    }
    
    .left-middle{
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 0;
    }
    
    .left-bottom{
        position: absolute;
        bottom: -10px;
        left: 0;
    }
    
    .right-top{
        position: absolute;
        top: -10px;
        right: 0;
    }
    
    .right-middle{
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 0;
    }
    
    .right-bottom{
        position: absolute;
        bottom: -10px;
        right: 0;
    }
}


.coupon-box.two{
    display: flex;
    justify-content: flex-end;

    .coupon-box-left{
        background: #00CA00;
        position: absolute;
        left: 16px;
        top: 0;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 25%;

        @media only screen and (max-width: 991px){
            width: 20%;
        }

        h3{
            font-size: 26px;
            color: #fff;
            font-weight: 400;
            transform: rotate(90deg);

            @media only screen and (max-width: 1440px){
                font-size: 20px;
            }

            @media only screen and (max-width: 991px){
                font-size: 18px;
            }
        }
    }

    .coupon-box-inner{
        flex-basis: 72%;

        @media only screen and (max-width: 991px){
            flex-basis: 78%;
        }
        
        h3{
            color: #00CA00;
        }

        
        span{
            font-size: 12px;
            color: #4A6378;
            font-weight: 500;
            background: #fff;
            padding: 2px 20px;
            position: relative;
            margin: 8px 0;
            display: inline-block;

            @media only screen and (max-width: 467px){
                font-size: 10px;
            }

            &:after{
                content: "";
                position: absolute;
                top: 0;
                right: 0;
                border-style: solid;
                border-width: 12px;
                border-color: #4b596c;
                width: 0;
                height: 0;
                border-top-color: transparent;
                border-bottom-color: transparent;
                border-left-color: transparent;

                @media only screen and (max-width: 467px){
                    border-width: 10px;
                }
            }

            &:before{
                content: "";
                position: absolute;
                top: 0;
                left: 0;
                border-style: solid;
                border-width: 12px;
                border-color: #4b596c;
                width: 0;
                height: 0;
                border-top-color: transparent;
                border-bottom-color: transparent;
                border-left-color: transparent;
                transform: rotate(180deg);

                @media only screen and (max-width: 467px){
                    border-width: 10px;
                }
            }
        }
    }
}





